Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.textarea
Class DisplayManager

    java.lang.Object
      org.gjt.sp.jedit.textarea.DisplayManager

public class DisplayManager
extends java.lang.Object

Manages low-level text display tasks.

Since:
  jEdit 4.2pre1
Version:
  $Id: DisplayManager.java,v 1.93 2004/08/28 08:12:47 spestov Exp $
Author:
  Slava Pestov

Field Summary
`static long` | `scanCount`
`static long` | `scannedLines`

Method Summary
`static void` | `bufferClosed(Buffer buffer)`
`void` | `collapseFold(int line)` Collapses the fold at the specified physical line index.
`void` | `expandAllFolds()` Expands all folds.
`int` | `expandFold(int line, boolean fully)` Expands the fold at the specified physical line index.
`void` | `expandFolds(char digit)` This method should only be called from `actions.xml`.
`void` | `expandFolds(int foldLevel)` Expands all folds with the specified fold level.
`int` | `getFirstVisibleLine()` Returns the physical line number of the first visible line.
`int` | `getLastVisibleLine()` Returns the physical line number of the last visible line.
`int` | `getNextVisibleLine(int line)` Returns the next visible line after the specified line index.
`int` | `getPrevVisibleLine(int line)` Returns the previous visible line before the specified line index.
`int` | `getScreenLineCount(int line)`
`int` | `getScrollLineCount()`
`boolean` | `isLineVisible(int line)` Returns if the specified line is visible.
`void` | `narrow(int start, int end)` Narrows the visible portion of the buffer to the specified line range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scanCount

    public static long scanCount

### scannedLines

    public static long scannedLines

Method Detail

### bufferClosed

    public static void bufferClosed(Buffer buffer)

### isLineVisible

    public final boolean isLineVisible(int line)

  Returns if the specified line is visible.

  Parameters:
    `line` - A physical line index
  Since:
    jEdit 4.2pre1

### getFirstVisibleLine

    public int getFirstVisibleLine()

  Returns the physical line number of the first visible line.

  Since:
    jEdit 4.2pre1

### getLastVisibleLine

    public int getLastVisibleLine()

  Returns the physical line number of the last visible line.

  Since:
    jEdit 4.2pre1

### getNextVisibleLine

    public int getNextVisibleLine(int line)

  Returns the next visible line after the specified line index.

  Parameters:
    `line` - A physical line index
  Since:
    jEdit 4.0pre1

### getPrevVisibleLine

    public int getPrevVisibleLine(int line)

  Returns the previous visible line before the specified line index.

  Parameters:
    `line` - A physical line index
  Since:
    jEdit 4.0pre1

### getScreenLineCount

    public final int getScreenLineCount(int line)

### getScrollLineCount

    public final int getScrollLineCount()

### collapseFold

    public void collapseFold(int line)

  Collapses the fold at the specified physical line index.

  Parameters:
    `line` - A physical line index
  Since:
    jEdit 4.2pre1

### expandFold

    public int expandFold(int line,
                          boolean fully)

  Expands the fold at the specified physical line index.

  Parameters:
    `line` - A physical line index
    `fully` - If true, all subfolds will also be expanded
  Since:
    jEdit 4.2pre1

### expandAllFolds

    public void expandAllFolds()

  Expands all folds.

  Since:
    jEdit 4.2pre1

### expandFolds

    public void expandFolds(char digit)

  This method should only be called from `actions.xml`.

  Since:
    jEdit 4.2pre1

### expandFolds

    public void expandFolds(int foldLevel)

  Expands all folds with the specified fold level.

  Parameters:
    `foldLevel` - The fold level
  Since:
    jEdit 4.2pre1

### narrow

    public void narrow(int start,
                       int end)

  Narrows the visible portion of the buffer to the specified line range.

  Parameters:
    `start` - The first line
    `end` - The last line
  Since:
    jEdit 4.2pre1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD